<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2008-2009 Bull S.A.S.
  - Contact: jonas-team@objectweb.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: ejb-jar.xml 3075 2009-02-04 17:03:35Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<ejb-jar xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/ejb-jar_2_1.xsd"
	id="MyStore" version="2.1">

	<display-name>MyStoreEJB</display-name>

	<enterprise-beans>
		<session>
			<ejb-name>MyStoreBean</ejb-name>
			<home>org.ow2.jasmine.jadort.samples.MyStoreHome</home>
			<remote>org.ow2.jasmine.jadort.samples.MyStore</remote>
			<ejb-class>org.ow2.jasmine.jadort.samples.MyStoreBean</ejb-class>
			<session-type>Stateful</session-type>
			<transaction-type>Container</transaction-type>
		</session>
	</enterprise-beans>

	<assembly-descriptor>
		<container-transaction>
			<method>
				<ejb-name>MyStoreBean</ejb-name>
				<method-name>*</method-name>
			</method>
			<trans-attribute>Supports</trans-attribute>
		</container-transaction>
	</assembly-descriptor>
</ejb-jar>
